{"openapi":"3.0.1","info":{"title":"DMCA API","version":"2.1.2","termsOfService":"https://www.dmca.com/TermsOfService","description":"This is the documentation for dmca services API. You can create a free account at dmca.com for use with many of these API calls.You can also use any existing DMCA account.\n\n[Visit DMCA.com for access to this API ](https://www.dmca.com?api) \n"},"tags":[{"name":"Public API","description":"Common API methods for using DMCA services","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/?r=oasapi"}},{"name":"DMCA Takedowns Public API","description":"CRUD Operations for DMCA Cases","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/takedowns.aspx?r=oasapi"}},{"name":"DMCA DIY Cases","description":"CRUD Operations for do-it-yourself (DIY cases - not managed or processed)","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/ProtectionPro.aspx#DIYCaseManagement?r=oasapi"}},{"name":"DMCA Compliance API","description":"CRUD Operations for DMCA Compliance","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/compliant.aspx?r=oasapi"}},{"name":"DMCA Badges","description":"Management and CRUD Operations for DMCA Badge related services","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/badges.aspx"}},{"name":"DMCA.com Affiliate","description":"Common API methods for using DMCA services","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/Affiliates/Signup.aspx?r=oasapi"}},{"name":"DMCA Site Report","description":"Common API methods for using DMCA services","externalDocs":{"description":"Find out more","url":"https://www.dmca.com/?r=oasapi"}}],"paths":{"/register":{"post":{"tags":["Public API"],"operationId":"/register/post","summary":"register a new user for dmca.com and this API","description":"Registers a new dmca.com user and returns a badge ID. A confirmation email will be sent to the email provided with login instructions.","responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/newUserObj"}}},"description":"create a new child object under your account","required":true}}},"/login":{"post":{"tags":["Public API"],"operationId":"/login/post","summary":"login to the DMCA.com API","description":"Logs you in with standard email and password credentials, returns a token for use in API calls. Please make sure you're only doing this in the !!BODY!! with !!HTTPS only!!. HTTPS is MANDATORY.","responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/loginObj"}}},"description":"create a new child object under your account","required":true}}},"/createCase":{"post":{"summary":"Creates a new takedown case and returns a case ID","description":"Creates a Takedown case to be processed by DMCA.com, the user that's creating the case will get a case creation email notice","tags":["DMCA Takedowns Public API"],"operationId":"/createCase/post","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns Case ID"},"429":{"description":"Failed request - Rate limit exceeded"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createCaseObj"}}},"description":"create a new dmca takedown case object under your account","required":true}}},"/updateCase":{"post":{"summary":"Updates an existing takedown case and returns a case ID","description":"Updates an existing case object. Max 100 executions per day (email api@dmca.com to have limit increased) Parameter names are case sensitive","tags":["DMCA Takedowns Public API"],"operationId":"/updateCase/post","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns Case ID"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateCaseObj"}}},"description":"create a new dmca takedown case object under your account","required":true}}},"/listCases":{"get":{"description":"Returns a list of takedown cases associated with the account","summary":"gets a list of account cases","tags":["DMCA Takedowns Public API"],"operationId":"/listCases/get","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}},{"name":"page","description":"allows for paging through result set, max results is 50 per page. i.e. page=3","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"Success operation - Returns list of cases"}},"security":[{"apikeyQuery":[]}]}},"/getCaseById":{"get":{"description":"Returns a single case object","summary":"gets a case by its ID, must be owned by the API users account","tags":["DMCA Takedowns Public API","DMCA Compliance API","DMCA DIY Cases"],"operationId":"/getCaseById/get","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}},{"name":"id","description":"case the ID that's returned by listCases or createCase method","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns the requested case object"},"404":{"description":"Failed operation - Case not found"}},"security":[{"apikeyQuery":[]}]}},"/listDIYCases":{"get":{"description":"Returns a list of takedown cases associated with the account","summary":"Gets a list of DIY cases on your account","tags":["DMCA DIY Cases"],"operationId":"/listDIYCases/get","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}},{"name":"page","description":"allows for paging through result set, max results is 50 per page. i.e. page=3","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"Success operation - Returns list of cases"}},"security":[{"apikeyQuery":[]}]}},"/createDIYCase":{"post":{"summary":"Creates a new DIY takedown case","description":"Creates a new DIY Case and returns its ID (A free do it yourself takedown case). This will not be reviewed, processed or sent anywhere.","tags":["DMCA DIY Cases"],"operationId":"/createDIYCase/post","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns Case ID"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createDIYCaseObj"}}},"description":"create a new DIY case object under your account","required":true}}},"/createComplianceCase":{"post":{"summary":"Creates a new compliance case for site specified","description":"On Accounts with compliance case submission services enabled this method will add a case to the compliance list on the site owners account. The site must have this service enabled.","tags":["DMCA Compliance API"],"operationId":"/createComplianceCase/post","responses":{"200":{"description":"Success operation - Returns Case ID. Case creation email will be sent"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/complianceCaseObj"}}},"description":"create a new compliance case under the site id provided","required":true}}},"/listComplianceCases":{"get":{"description":"Returns a list of takedown cases associated with the account","summary":"Gets a list of Compliance cases","tags":["DMCA Compliance API"],"operationId":"/listComplianceCases/get","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}},{"name":"page","description":"allows for paging through result set, max results is 50 per page. i.e. page=3","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"Success operation - Returns list of cases"}},"security":[{"apikeyQuery":[]}]}},"/queuePage":{"get":{"tags":["DMCA Badges"],"operationId":"/queuePage/get","summary":"Queue a page to be scanned","description":"Queue a page to scanned","parameters":[{"name":"id","description":"badge id","in":"query","required":true,"schema":{"type":"string"}},{"name":"refurl","description":"url to be scanned. should include https:// or http://","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"}},"security":[{"apikeyQuery":[]}]}},"/getRegisteredBadges":{"get":{"tags":["DMCA Badges"],"operationId":"/getRegisteredBadges/get","description":"Use this to generate badge codes for a given badge / account","summary":"Get DMCA badge embed codes","parameters":[{"name":"AccountID","description":"badge or account id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"}},"security":[{"apikeyQuery":[]}]}},"/addProtectedItem":{"post":{"summary":"Creates a new protected object","description":"Creates a new protected object. Make sure to set the correct type and url. Title and url must be unique.","tags":["DMCA Badges"],"operationId":"/addProtectedItem/post","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns newly created item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/protectedItemObj"}}}}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/addProtectedItemObj"}}},"description":"create a new protected item","required":true}}},"/getProtectedItem":{"get":{"summary":"Gets a protected object (\"* terms apply\" )","description":"Fetches and returns an existing protected object. Note that objects in this table can be unprotected.","tags":["DMCA Badges"],"operationId":"/getProtectedItem/get","parameters":[{"name":"id","description":"Badge id of the asset","in":"query","required":true,"schema":{"type":"string"}},{"name":"url","description":"Url of the asset","in":"query","required":false,"schema":{"type":"string"}},{"name":"rk","description":"encoded key","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns newly created item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/protectedItemObj"}}}}}}},"/registerAffiliate":{"post":{"tags":["DMCA.com Affiliate"],"operationId":"/registerAffiliate/post","summary":"Registers a child account","description":"Creates a new affiliate / child account and returns the new child account username and pw. Child account will be emailed to confirm","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/newChildObj"}}},"description":"create a new child object under your account","required":true}}},"/listAffiliates":{"get":{"description":"Returns a list of affiliate under your account","summary":"Returns list of child accounts","tags":["DMCA.com Affiliate"],"operationId":"/listAffiliates/get","parameters":[{"name":"page","description":"allows for paging through result set, max results is 50 per page. i.e. page=3","in":"query","required":false,"schema":{"type":"number"}},{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation - Returns list of affiliates"}},"security":[{"apikeyQuery":[]}]}},"/getAffiliateStats":{"get":{"description":"Returns a breakdown of orders that have come in, what will be paid or whats owed","summary":"Returns commission report","tags":["DMCA.com Affiliate"],"operationId":"/getAffiliateStats/get","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}},{"name":"page","description":"allows for paging through result set, max results is 50 per page. i.e. page=3","in":"query","required":false,"schema":{"type":"number"}}],"responses":{"200":{"description":"Success operation - Returns list of affiliates"}},"security":[{"apikeyQuery":[]}]}},"/resetChildPw":{"post":{"tags":["DMCA.com Affiliate"],"operationId":"/resetChildPw/post","summary":"Reset and resend the pw of a child account","description":"This operation will reset and resend a new PW to a child account. It will first verify that the child account belongs to the corresponding security token","parameters":[{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emailObj"}}},"description":"email address of the child account  to have its password reset","required":true}}},"/enableProtectionPro":{"post":{"tags":["DMCA.com Affiliate"],"operationId":"/enableProtectionPro/post","summary":"Enable Protection Pro on affiliate/child account","description":"This operation will enable protection pro on the account specified. They will receive a welcome email that will direct them into the dmca.com dashboard.","parameters":[{"name":"childAccountId","in":"query","description":"account id of the child account to be upgraded","required":true,"schema":{"type":"string"}},{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}]}},"/disableProtectionPro":{"post":{"tags":["DMCA.com Affiliate"],"operationId":"/disableProtectionPro/post","summary":"Disable Protection Pro on affiliate/child account","description":"This operation will disable protection pro on the account specified.","parameters":[{"name":"childAccountId","in":"query","description":"account id of the child account to be upgraded","required":true,"schema":{"type":"string"}},{"name":"Token","description":"Security token from Login method or from API section of DMCA.com website","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"},"401":{"description":"Failed operation"}},"security":[{"apikeyQuery":[]}]}},"/getSiteReport/{domain}":{"get":{"description":"Returns a single site report object. If the site report (profile) for the given domain doesn't exist, the base record will be created but will still need to be claimed, validated etc. to be edited.","summary":"Returns a single site report object","tags":["DMCA Site Report"],"operationId":"/getSiteReport/{domain}","parameters":[{"name":"domain","description":"the fully qualified domain name of the site report","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success operation"}}}}},"servers":[{"url":"https://api.dmca.com"}],"components":{"securitySchemes":{"apikeyQuery":{"type":"apiKey","name":"Token","in":"header"}},"schemas":{"createCaseObj":{"type":"object","properties":{"subject":{"type":"string"},"description":{"type":"string"},"copiedFromUrl":{"type":"string"},"infringingUrl":{"type":"string"},"infringingSiteIp":{"type":"string"}},"xml":{"name":"createCaseObj"}},"createDIYCaseObj":{"type":"object","properties":{"subject":{"type":"string"},"description":{"type":"string"},"copiedFromUrl":{"type":"string"},"infringingUrl":{"type":"string"},"infringingSiteIp":{"type":"string"},"type":{"type":"string","enum":["Business - General","Personal - General","Toolkit Business Request CAN","Toolkit Business Request EU","Toolkit Personal Request CAN","Toolkit Personal Request EU","Toolkit Personal Request India","Toolkit Business Request India"]}},"xml":{"name":"createDIYCaseObj"}},"addProtectedItemObj":{"type":"object","properties":{"title":{"type":"string"},"badgeid":{"type":"string","description":"badge or account id of the protected"},"url":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"type":{"description":"the type of protected item","type":"string","enum":["Web Page","App","Post","eBook","Book","Article","Lesson","Photo","Script","Video"]}},"xml":{"name":"addProtectedItemObj"}},"protectedItemObj":{"type":"object","properties":{"title":{"type":"string"},"badgeid":{"type":"string","description":"badge or account id of the protected"},"url":{"type":"string"},"tag":{"type":"string"},"description":{"type":"string"},"status":{"type":"string"},"source":{"type":"string"},"type":{"description":"the type of protected item","type":"string","enum":["Web Page","App","Post","eBook","Book","Article","Lesson","Photo","Script","Video"]}},"xml":{"name":"protectedItemObj"}},"updateCaseObj":{"type":"object","properties":{"case_id":{"type":"string"},"status":{"type":"string"},"subject":{"type":"string"},"description":{"type":"string"},"copiedFromUrl":{"type":"string"},"infringingUrl":{"type":"string"},"infringingSiteIp":{"type":"string"},"priority":{"type":"string"}},"xml":{"name":"updateCaseObj"}},"complianceCaseObj":{"type":"object","properties":{"submitterEmail":{"type":"string"},"submitterFirstName":{"type":"string"},"submitterLastName":{"type":"string"},"submitterCompanyName":{"type":"string"},"description":{"type":"string"},"copiedFromUrl":{"type":"string"},"infringingUrl":{"type":"string"},"infringingSiteIp":{"type":"string"},"siteId":{"type":"string","description":"id of the site the case is being submitted to. (note the site owner must have this feature enabled)"}},"xml":{"name":"complianceCaseObj"}},"newChildObj":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"ClientEmail":{"type":"string","example":"john@dmca.com","description":"New clients email"},"CompanyName":{"type":"string"},"AffiliateToken":{"type":"string","description":"10 digit affiliate token"}},"xml":{"name":"newChildObj"}},"newUserObj":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"Email":{"type":"string","example":"john@dmca.com","description":"email address. (will be emailed to validate)"},"CompanyName":{"type":"string"},"mpi":{"type":"string","description":"Main Product Interest","enum":["Protection Pro","DMCA Takedowns","DMCA Compliance"]}},"xml":{"name":"newUserObj"}},"loginObj":{"type":"object","properties":{"email":{"type":"string","example":"john@dmca.com"},"password":{"type":"string"}},"xml":{"name":"loginObj"}},"emailObj":{"type":"object","properties":{"ClientEmail":{"type":"string","example":"john@dmca.com"}},"xml":{"name":"emailObj"}}}}}